import sys
import pygame
import random

def draw_rect(screen, position, color):
    col = position[0]
    row = position[1]
    x = col * 20 + 1
    y = row * 20 + 1
    pygame.draw.rect(screen, color, [x, y, 18, 18])

def new_target():
    return (random.randint(1,28), random.randint(1,28))

def draw_snake(screen,snake):
    for box in snake:
        draw_rect(screen,box, (0,255,0))

def move_snake(snake, direction, length):
    global done
    col = snake[-1][0]
    row = snake[-1][1]
    #1.  check what direction the snake is moving and change col or row

    #3   check to see if we hit an edge.  If we did, end the game.

    #4.  add a new (col, row) to the snake with 'append'

    #remove the oldest snake pieces if there are more than the snake length
    while len(snake) > length:
        snake.pop(0)

        
    
done = False
pygame.init()
screen = pygame.display.set_mode((600,600))
pygame.display.set_caption("Snake Game")
clock = pygame.time.Clock()
frame = 0
direction = 1
length = 5
snake = [(10,10), (11,10), (12,10)]
target = new_target()


while not done:
    #start with 5 frames per second.  But you can change this.
    clock.tick(5)
    frame += 1
    move_snake(snake, direction, length)
    screen.fill((0,0,0))
    draw_snake(screen,snake)
    draw_rect(screen, target, (255,0,0))

    #5.  see if we hit the target.  The snakes 'head' is snake[-1].
    #If we hit the target, add to the
    #length and make a new target.


    #see if the snake head hits another part of the snake
    for s in snake[:-1]:
        if s == snake[-1]:
            done = True
    
    
    for event in pygame.event.get():
        if event.type == pygame.KEYDOWN:
            if event.key == pygame.K_RIGHT and direction != 3:
                direction = 1
            #2.  add the three other directions.
    

    pygame.display.flip()

#quit when done
pygame.quit()

        


